Query Financials
Endpoint Information
Endpoint: GET /market/v1/tickers/{symbol}/financials
Description: Query financial indicators for a ticker, such as market cap, P/E ratio, and other fundamentals
Authentication: Institution API Key + Signature (non-Maker API endpoint — X-Maker-Addr is not required). See Authorization
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| market | ENUM | Yes | Market code. See Market enum type description |
Response Parameters
| Field | Type | Description |
|---|---|---|
| symbol | STRING | Ticker symbol |
| market_cap | LONG | Market capitalization |
| revenue | LONG | Revenue |
| indicators | OBJECT | Financial indicators object |
indicators Object
| Field | Type | Description |
|---|---|---|
| ev | LONG | Enterprise Value |
| pe | DECIMAL | Price-to-Earnings (P/E) Ratio |
| ps | DECIMAL | Price-to-Sales (P/S) Ratio |
| pb | DECIMAL | Price-to-Book (P/B) Ratio |
| eps | DECIMAL | Earnings Per Share (TTM) |
| roe | DECIMAL | Return on Equity |
| roa | DECIMAL | Return on Assets |
| earnings_yield | DECIMAL | Earnings Yield |
| dividend_yield | DECIMAL | Dividend Yield |
| asset_turnover | DECIMAL | Asset Turnover |
| inventory_turnover | DECIMAL | Inventory Turnover |
| quick_ratio | DECIMAL | Quick Ratio |
| current_ratio | DECIMAL | Current Ratio |
Request Example
bash
curl -X GET "{API_BASE_URL}/market/v1/tickers/AAPLs/financials?market=usex" \
-H "X-API-Key: YOUR_API_KEY" \
-H "X-API-Timestamp: 1746774142000" \
-H "X-API-Signature: GENERATED_SIGNATURE"Response Example
json
{
"code": 0,
"data": {
"symbol": "AAPLs",
"market_cap": 950633016115,
"revenue": 95720000000,
"indicators": {
"ev": 926765016115,
"pe": 168.863,
"ps": 9.882,
"pb": 12.73,
"eps": 1.75,
"roe": 0.08774,
"roa": 0.03724,
"earnings_yield": 0.00642,
"dividend_yield": 0,
"asset_turnover": 0.817,
"inventory_turnover": 5.301,
"quick_ratio": 1.376,
"current_ratio": 1.996
}
}
}Error Example
json
{
"code": 500,
"message": "Internal Service Error",
"details": ""
}